#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x30ab0fbb, "module_layout" },
	{ 0x58cef46c, "usb_register_driver" },
	{ 0x28f18ccc, "skb_push" },
	{ 0xc5d1ffe1, "skb_pull" },
	{ 0xfad27ec2, "dev_alloc_skb" },
	{ 0xd21c7bf3, "__dev_kfree_skb_irq" },
	{ 0x240e35f6, "skb_trim" },
	{ 0x89dc6f63, "p54_rx" },
	{ 0xde7faaae, "skb_put" },
	{ 0x1c12bfc8, "p54_register_common" },
	{ 0x8e7bcbc7, "p54_read_eeprom" },
	{ 0x8994bdd4, "p54_parse_firmware" },
	{ 0xbee103cc, "request_firmware" },
	{ 0x18f7d73c, "mutex_unlock" },
	{ 0x930b9a5d, "usb_reset_device" },
	{ 0x73c44a2, "usb_lock_device_for_reset" },
	{ 0xd8300e2c, "usb_get_dev" },
	{ 0xfc6e8775, "__init_waitqueue_head" },
	{ 0x13bad480, "dev_set_drvdata" },
	{ 0xef465871, "p54_init_common" },
	{ 0x759a063e, "skb_unlink" },
	{ 0xc202e81a, "kfree_skb" },
	{ 0x64c613bb, "skb_queue_tail" },
	{ 0x8bcfb36d, "__alloc_skb" },
	{ 0xc7ec28b0, "memcmp" },
	{ 0x3bd1b1f6, "msecs_to_jiffies" },
	{ 0x7d11c268, "jiffies" },
	{ 0x92ea4ae4, "crc32_le" },
	{ 0x8b7fe311, "kmemdup" },
	{ 0xe7882029, "usb_ifnum_to_if" },
	{ 0x2df12c35, "p54_free_skb" },
	{ 0xe91d65d3, "usb_unanchor_urb" },
	{ 0x861bd011, "usb_free_urb" },
	{ 0x5a47dbe1, "usb_submit_urb" },
	{ 0xb08fd058, "usb_anchor_urb" },
	{ 0x3fa03a97, "memset" },
	{ 0x615360c6, "usb_alloc_urb" },
	{ 0x8c01fd5, "dev_err" },
	{ 0x789e468f, "usb_interrupt_msg" },
	{ 0x6067a146, "memcpy" },
	{ 0xa39b4cf2, "udelay" },
	{ 0x37a0cba, "kfree" },
	{ 0x2598224c, "kmem_cache_alloc" },
	{ 0xf97f40b7, "malloc_sizes" },
	{ 0xd4c3264a, "usb_bulk_msg" },
	{ 0x484c9c9b, "p54_free_common" },
	{ 0x76b42e3d, "release_firmware" },
	{ 0xce1c67ee, "usb_put_dev" },
	{ 0x7046e8bd, "p54_unregister_common" },
	{ 0xe270ac5e, "usb_kill_anchored_urbs" },
	{ 0x36277b46, "ieee80211_restart_hw" },
	{ 0x2eff96c8, "dev_get_drvdata" },
	{ 0x76f50010, "usb_deregister" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore,p54common,mac80211";

MODULE_ALIAS("usb:v0411p0050d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v045Ep00C2d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0506p0A11d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0675p0530d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06B9p0120d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0707pEE06d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07AAp001Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v083Ap4501d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v083Ap4502d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v083Ap5501d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0846p4200d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0846p4210d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0846p4220d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v09AAp1000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0BF8p1007d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0CDEp0006d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0p6826d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v107Bp55F2d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v124Ap4023d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1435p0210d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v15A9p0002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1630p0005d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v182Dp096Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1915p2234d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1915p2235d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p3701d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p3703d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p3762d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v5041p2234d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v5041p2235d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0471p1230d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v050Dp7050d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0572p2000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0572p2002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06A9p000Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06B9p0121d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0707pEE13d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07AAp0020d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0803p4310d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v083Ap4521d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v083Ap4531d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v083ApC501d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v083ApF503d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0846p4240d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0915p2000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0915p2002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0BAFp0118d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0BF8p1009d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0CDEp0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0CDEp0015d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0D8Ep3762d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v124Ap4025d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1260pEE22d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p000Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p000Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1413p5400d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1435p0427d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1668p1050d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1740p1000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p3704d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p3705d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v413Cp5513d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v413Cp8102d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v413Cp8104d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "88193EBE86AF81B4A9E7A10");
